Rev.Content.AdminTopBar = React.createClass
  render: ->
    <nav className="topBar">
      <ul className="inline-list right">
        <li onClick={ @makePageButton('history') }>
          <span className="icon-loop2"></span>
          History
        </li>
        <a href={ Rev.Content.base_path + 'contents/export.json' }>
        <li>
          Export
        </li>
        </a>
        <li onClick={ @makePageButton('import') }>
          Import
        </li>
      </ul>
      <div className="topBar-container">
        <div className="topBar-items">
          Content Admin
        </div>
      </div>
    </nav>

  makePageButton: (page)->
    return (e)->
      Rev.Content.dispatcher.trigger 'pageChange', page

Rev.Content.AdminTabbedArea = React.createClass
  getInitialState: ->
    state =
      page: @firstChildPage()

  render: ->
    @findChildByPage(@state.page)

  findChildByPage: (page)->
    return null unless @props.children
    if React.Children.count == 1
      if React.Children.only.props.adminTabPage == page
        return React.Children.only
      else
        return null
    else
      for child in @props.children
        if child.props.adminTabPage == page
          return child
    return null

  firstChildPage: ->
    return null unless @props.children
    if React.Children.count == 1
      return React.Children.only.props.adminTabPage
    else
      return @props.children[0].props.adminTabPage

  componentDidMount: ->
    Rev.Content.dispatcher.on 'pageChange', @onPageChange

  componentWillUnmount: ->
    Rev.Content.dispatcher.off 'pageChange', @onPageChange

  onPageChange: (page)->
    @setState page: page

Rev.Content.ImportTab = React.createClass
  render: ->
    <Rev.Components.Form action="import" method="POST" enctype="multipart/form-data" className="EditablePages">
      <h2>Import</h2>
      <label>
        <div>
          <input type="file" name="import" />
        </div>
      </label>
      <button className="Button">
        Import
      </button>
    </Rev.Components.Form>

Rev.Content.AdminPage = React.createClass
  componentDidMount: ->
    App.props = @props

  componentDidUnmount: ->
    App.props = null

  render: ->
    <div>
      <Rev.Content.AdminTopBar />
      <Rev.Content.AdminTabbedArea>
        <Rev.Content.VersionHistory adminTabPage="history" />
        <Rev.Content.ImportTab adminTabPage="import" />
      </Rev.Content.AdminTabbedArea>
    </div>
