class CreateRevelryContentPages < ActiveRecord::Migration
  def change
    create_table :revelry_content_pages do |t|
      t.string :slug
      t.string :menu_name
      t.string :name
      t.string :template
      t.string :ancestry
      t.integer :depth_cache
      t.boolean :show_in_menu
      t.boolean :draft
      t.timestamps null: false
    end

    add_index :revelry_content_pages, :template
  end
end
