class CreateVersions < ActiveRecord::Migration
  def change
    create_table :revelry_content_content_versions do |t|
      t.string   :item_type, :null => false
      t.integer  :item_id,   :null => false
      t.string   :event,     :null => false
      t.string   :whodunnit
      t.text     :object
      t.integer  :rollback_version_id
      t.datetime :created_at
    end
    add_index :revelry_content_content_versions, [:item_type, :item_id], name: :item_type_and_id
  end
end
