unless defined?(Revelry::Content::ControllerAuthorization)
  module Revelry::Content::ControllerAuthorization
    extend ActiveSupport::Concern

    included do
      before_action :check_authorization
    end

    def check_authorization
      throw "Unauthorized" unless Revelry::Content.config.authorize(self)
    end
  end
end
