class Rev.Content.Models.Content extends Backbone.Model
  url: ->
    Rev.Content.base_path + '/contents'

class Rev.Content.Models.FileContent extends Rev.Content.Models.Content
  sync: (method, model, options)->
    formData = new FormData()
    formData.append 'content[src]', model.get('src')
    formData.append 'authenticity_token', App.props.csrf_token
    _(_(model.attributes).omit('src')).each (value, attr)=>
      formData.append "content[#{ attr }]", value
    options.data = formData
    options.contentType = false
    options.processData = false
    options.cache = false
    Backbone.sync(method, model, options)
