PaperTrail::Version.module_eval do
  unless ActiveRecord::Base.connection.table_exists? 'versions'
    self.abstract_class = true
  end
end

class Revelry::Content::ContentVersion < PaperTrail::Version
  self.table_name = :revelry_content_content_versions
  self.sequence_name = :revelry_content_version_id_seq
  before_save :cast_whodunnit

  def as_json(opts = {})
    Jbuilder.new do |json|
      json.(self, :id, :item_type, :item_id, :event, :whodunnit, :rollback_version_id, :created_at, :reify)
    end.attributes!
  end

  def cast_whodunnit
    self.whodunnit = whodunnit.to_s
  end
end
