unless defined?(::Revelry::Content::WithRevelryContent)
  module ::Revelry::Content::WithRevelryContent
    extend ActiveSupport::Concern

    included do
      before_action :gather_contents
    end

    def content_scope
      Revelry::Content::Content.excluding_prefix('pages')
    end

    def gather_contents
      @revelry_content_contents =
        Revelry::Content::Content.as_lookup_table(content_scope)
    end
  end
end
