class Revelry::Content::JsExporter
  def self.write_export
    directory = Rails.root.join('vendor', 'assets', 'javascripts', 'revelry_content')
    FileUtils.mkdir_p(directory)

    File.open File.join(directory, 'content.js'), 'w' do |f|
      f.write <<-JS
        if(typeof Rev.Content === 'undefined') {
          var Rev.Content = {};
        }
        Rev.Content.Contents = #{ Revelry::Content::Content.as_lookup_table.to_json };
      JS
    end
  end
end
